#!/usr/local/bin/perl
# index.cgi

require './escputil-lib.pl';
&ui_print_header(undef, $text{'index_title'}, "", undef, 1, 1);

%colmap = ( 'black', '#000000',
	    'cyan', '#00ffff',
	    'magenta', '#ff00ff',
	    'yellow', '#ffff00',
	    'light cyan', '#aaffff',
	    'light magenta', '#ffaaff',
	    'black/dark yellow', '#555500' );

if (!&has_command($config{'escputil'})) {
	# Command not installed at all
	print "<p>",&text('index_ecmd', "<tt>$config{'escputil'}</tt>",
		  "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	}
elsif (!(@levels = &try_several('get_ink_levels'))) {
	# Could not contact printer
	print "<p>",&text('index_emodel',
		  $config{'device'} ? "<tt>$config{'device'}</tt>" : "USB",
		  "$gconfig{'webprefix'}/config.cgi?$module_name"),"<p>\n";
	}
else {
	# Show ink levels
	print "<table width=100%>\n";
	print "<tr $tb> <td nowrap><b>$text{'index_col'}</b></td> ",
	      "<td colspan=2><b>$text{'index_level'}</b></td> </tr>\n";
	foreach $l (@levels) {
		print "<tr $cb>\n";
		print "<td width=10% nowrap><b>$l->[0]</b></td>\n";
		$col = $colmap{lc($l->[0])} || "#dddddd";
		print "<td width=90%><table width=100% cellpadding=0 cellspacing=0><tr>\n";
		printf "<td width=%d%% bgcolor=$col><font color=%s>$l->[1]%%</font></td>\n", $l->[1], $col eq "#000000" ? "#ffffff" : "#000000";
		printf "<td width=%d%%><br></td>\n",
			100 - $l->[1];
		print "</tr></table></td></tr>\n";
		}
	print "</table>\n";

	# Show icons for other actions
	print "<hr>\n";
	@opts = ( "status", "clean", "nozzle" );
	@icons = map { "images/$_.gif" } @opts;
	@links = map { "$_.cgi" } @opts;
	@titles = map { $text{$_."_title"} } @opts;
	&icons_table(\@links, \@titles, \@icons);
	}

&ui_print_footer("/", $text{'index'});

